Bug 43023 - EDITING: Undo stack deleted after Drag from Navigator "As Copy" or "As Link"
Summary: EDITING: Undo stack deleted after Drag from Navigator "As Copy" or "As Link"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Navigator Undo-Redo
  Show dependency treegraph
 
Reported: 2011-11-17 05:31 UTC by Harald Koester
Modified: 2018-07-05 02:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Document (264.15 KB, application/vnd.oasis.opendocument.text)
2016-01-01 21:04 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2011-11-17 05:31:54 UTC
Hello,

Their are several problems by using the Drag&Drop function of the Navigator inside Writer. Here are some steps to describe the problems:

1. Open a new document, insert a chapter (heading + some text), a table and a graphic and display the Navigator.

2. Open a second new document, insert a chapter (heading + some text), a table and a graphic and display the Navigator.

3. Try to Drag&Drop elements (here headings, tables and graphics) from one document to the other with the 3 possibilities of the Navigator (Hyperlink, Link, Copy). It always does not work, but it is OK, because the files have not been saved yet. A hint while trying would be nice here. Theoretical copying is possible at this time.

4. Save both files.

5. Choose D&D mode "Hyperlink". D&D elements between documents. Always Hyperlinks are inserted. Behavior as expected!

6. Choose  D&D mode "Link". D&D elements between documents (Without Ctrl Button). Heading: Chapter with heading is inserted in a protected section. Behavior as expected. Table: An empty and protected section is inserted. BUG! Graphic: Does not work. Behavior as expected (see Manual). Both changes can not be undone. BUG!

7. Choose  D&D mode "Link". D&D elements between documents (With Ctrl Button). Heading, Table: Hyperlinks are inserted. BUG! Graphic: Does not work. Behavior as expected.

8. Choose D&D mode "Copy". D&D elements between documents (Without Ctrl Button). Heading: Chapter is inserted in an unprotected section. OK. Table: An empty and unprotected section is inserted. BUG! Graphics: Does not work. Behavior as expected. Both changes can not be undone. BUG!

9. Choose D&D mode "Copy". D&D elements between documents (With Ctrl Button). Heading, Table: Hyperlinks are inserted. BUG! Graphic: Does not work. Behavior as expected.

I expect that their are similar problems with other items of the Navigator list, but I did not check them. The whole thing is a little bit confusing, but I hope that I described it correct and you will understand my description.

Regards
Harald

System: Win XP SP3, LO: 3.4.3 and 3.4.4
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.24) Gecko/20111103 Firefox/3.6.24
Comment 1 Cor Nouws 2011-12-14 06:18:55 UTC
Hi again,

After checking my comments with previous issues, could you please be so kind to rwerite this bug to - if needed - various single items issues, preferably easy to reproduce ?
(try to look at the # of unconfirmed etc. issues - you really help the QY people by making descriptions as clear and simple as possible :-) )

Thanks a lot - Cor
Comment 2 Harald Koester 2011-12-21 04:52:16 UTC
Hello Cor,

I have tried to split the different problems into some easy (hopefully) reproducable cases. Here they are:

Case (1a):
[1] Open a new document and insert a chapter, that means a heading and some text.
[2] Open a second new document and insert a chapter (heading and some text).
[3] Save both files, but don't close them.
[4] Open the Navigator for both files and display all categories.
[5] Chose Drag & Drop mode "Insert as Link" for both files. 
[6] Display the Navigator list of the inactive document by choosing it at the bottom line of the Navigator.
[7] Drag the chapter of the inactive document from the Navigator while pressing the Ctrl-Button into the active document and drop it. Though the Drag and Drop mode is set to "Insert as Link", a hyperlink is inserted. I would expect that either nothing happens or a "Insert as link" is performed.

Case (1b):
Perform steps [1] to [4] according Case (1a).
[5] Chose Drag & Drop mode "Insert as Copy" for both files. 
[6] Display the Navigator list of the inactive document by choosing it at the bottom line of the Navigator.
[7] While pressing the Ctrl-Button drag the chapter of the inactive document from the Navigator into the active document and drop it. Though the Drag and Drop mode is set to "Insert as Copy", a hyperlink is inserted. I would expect that either nothing happens or a protected section is inserted with the chapter inside.

Case (1c):
Perform steps [1] to [6] according Case (1a).
[7] Drag the chapter of the inactive document from the Navigator into the active document and drop it. This works as expected, but undoing either by the menu or by the icon of the toolbar is not possible.

Additional information:
Also undoing does not work with the mode "Insert as Copy", while an undoing with the mode "Insert as Hyperlink" works as expected.

Case (2a):
[1] Open a new document and insert a table.
[2] Open a second new document and insert a table.
[3] Save both files, but don't close them.
[4] Open the Navigator for both files and display all categories.
[5] Chose Drag & Drop mode "Insert as Link" for both files. 
[6] Display the Navigator list of the inactive document by choosing it at the bottom line of the Navigator.
[7] Drag the table of the inactive document from the Navigator into the active document and drop it. Only an empty section (protected) is inserted. I expected an insertion of a protected section with the table inside. Also it is not possible to undo this insertion.

Case (2b):
Perform steps [1] to [6] according Case (2a).
[7]  While pressing the Ctrl-button drag the table of the inactive document from the Navigator into the active document and drop it. Though the Drag and Drop mode is set to "Insert as Link", a hyperlink is inserted. I expected that either nothing happens or a "Insert as link" is performed.

Case (2c):
Perform steps [1] to [4] according Case (2a).
[5] Chose Drag & Drop mode "Insert as Copy" for both files. 
[6] Display the Navigator list of the inactive document by choosing it at the bottom line of the Navigator.
[7] Drag the table of the inactive document from the Navigator into the active document and drop it. Only an empty section (unprotected) is inserted. I expected an insertion of an unprotected section with a table inside. Also it is not possible to undo the insertion.

Regards
Harald
Comment 3 sasha.libreoffice 2012-01-10 23:46:18 UTC
reproduced on LibO 3.5.0 beta 1 on Fedora 64 bit
Let we begin from solving one problem (Undo not works) and then solve remaining
Steps to reproduce, copy-pasted from original:
[1] Open a new document and insert a chapter, that means a heading and some
text.
[2] Open a second new document and insert a chapter (heading and some text).
[3] Save both files, but don't close them.
[4] Open the Navigator for both files and display all categories.
[5] Chose Drag & Drop mode "Insert as Link" for both files. 
[6] Display the Navigator list of the inactive document by choosing it at the
bottom line of the Navigator.
[7] Drag the chapter of the inactive document from the Navigator into the
active document and drop it. This works as expected, but undoing either by the
menu or by the icon of the toolbar is not possible.

Undo disappears even if before inserting made another changes. All becomes not undoable.
Comment 4 Rainer Bielefeld Retired 2012-08-22 09:56:49 UTC
Still [Reproducible] with "LibreOffice 3.6.1.1  German UI/Locale [Build-ID:  4db6344] on German WIN7 Home Premium (64bit):

0. download / open Attachment 65943 [details] of "Bug 52287 - Two Drag Modes in 
   the Navigator don't work ("Insert as link" and "Insert as copy")"
1. Proceed as per Bug 52287 to drag the sections below the headings on page 2,
   But to "As Hyperlik" as last
   Expected: Undo button becomes active after Drag
   Actual: only drag "As Link" can be undone, other ones not.
           Not only icon is affected, also not undo from Edit menu possible.

Also not possible with AOOo, so probably inherited from OOo? Further research showed that that's a very old OOo bug (reported 2004): "Bug AOOo#26981 - Inserting linked sections kills Undo function"

Even worse: the Undo stack will be deleted by Drag "As Link" and "As Copy". To check that  Proceed as per Bug 52287 and start with "Insert Hyperlink" (Undo icon becomes active), then drag as copy (Undo icon becomes IN-active)

I did a quick test with Calc, seems not to be affected.

@Michael
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 5 QA Administrators 2015-01-05 17:52:20 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2015-01-06 13:05:25 UTC
All buggy cases listed in comment 2 (1a, 1b, 1c, 2a, 2b, 2c) still exist. Also the undo stack is still deleted as described in comment 4. Hence the bug is not resolved.

Checked with LO version 4.3.5, Win 7.
Comment 7 Joel Madero 2016-01-01 21:03:49 UTC
Attached a test document for step 1 as it makes it a lot easier to triage the issue.
Comment 8 Joel Madero 2016-01-01 21:04:05 UTC
Created attachment 121674 [details]
Test Document
Comment 9 QA Administrators 2017-01-03 19:57:12 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2017-03-13 15:17:21 UTC
Bug still exists in version 5.3.0 (Win7).
Comment 11 Vianney Stroebel 2017-04-08 16:10:29 UTC
Undo stack is deleted after Drag from Navigator in "Hyperlink" mode and within the same document too.

1. Open a document.
2. Create a heading.
3. Drag the heading from the Navigator to the document.
4. Undo button is greyed out.
Comment 12 Vianney Stroebel 2017-04-08 16:14:04 UTC
Update: this bug is happening for me in version 5.3.2.2 only with the option "SAL_USE_VCLPLUGIN=gtk3", which I need in order for LibreOffice to display correctly.

(In reply to Vianney Stroebel from comment #11)
> Undo stack is deleted after Drag from Navigator in "Hyperlink" mode and
> within the same document too.
> 
> 1. Open a document.
> 2. Create a heading.
> 3. Drag the heading from the Navigator to the document.
> 4. Undo button is greyed out.
Comment 13 QA Administrators 2018-07-05 02:49:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug